
Summary: Oracle Virtual Server Storage Probe Utilities
Name: ovs-storage-utils
Version: 1.0.0
Release: 27 
License: GPLv2
Group: Development/Libraries
Source: ovs-storage-utils.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
URL: http://www.oracle.com/virtualization
Requires: sg3_utils
Requires: lsscsi

Patch1:    dummy.patch
Patch2: disk_XML_and_io_host_XML.patch
Patch3: target_session_ip.patch
Patch4: dm_device_to_multipath_info.patch
Patch5: disk_list_queue_error.patch
Patch6: remove_kruff.patch
Patch7: fix_build.patch
Patch8: fix_makefile.patch
Patch9: include_key_word.patch
Patch10: fc_target_discover.patch
Patch11: disable-sysfs-vpd-output-2.6.32.patch
Patch12: multipath_output_update.patch
Patch13: iscsi_initator_in_hosts_entry.patch
Patch14: Add_ISCSI_Node_to_discovery.patch
Patch15: fix_for_blacklist_parse.patch
Patch16: drop_caches_removal.patch
Patch17: no_max_sectors.patch
Patch18: no_unprintables.patch
Patch19: no_dir_no_except.patch
Patch20: license-header.patch
Patch21: SAS_as_SAN.patch
Patch22: accept_wildcards.patch
Patch23: revert_to_r288.patch
Patch24: PowerPath.patch
Patch25: fix-empty-targetip-on-uek2.patch
Patch26: fix_scsi_host_sysfs_path.patch
# End Oracle Patches

%description
Oracle Virtual Server python utilities for probing the storage subsystem

%prep
%setup -q
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0
%patch11 -p0
%patch12 -p0
%patch13 -p0
%patch14 -p0
%patch15 -p0
%patch16 -p0
%patch17 -p0
%patch18 -p0
%patch19 -p0
%patch20 -p0
%patch21 -p0
%patch22 -p0
%patch23 -p0
%patch24 -p0
%patch25 -p0
%patch26 -p0

%install
rm -rf ${RPM_BUILD_ROOT}
USERSPACE=${RPM_BUILD_ROOT} install_root_dir=%{_libdir} make install
mkdir -p ${RPM_BUILD_ROOT}/var/cache/ovs-disk_info
mkdir -p ${RPM_BUILD_ROOT}/var/cache/ovs-multipath
mkdir -p ${RPM_BUILD_ROOT}/var/log/rescan_for_disks
mkdir -p ${RPM_BUILD_ROOT}/var/log/disconnect_device
mkdir -p ${RPM_BUILD_ROOT}/var/log/flush_inflight_io

%clean
rm -rf ${RPM_BUILD_ROOT}

%preun
if [ $1 = 0 ]; then
	rm -rf /var/cache/ovs-disk_info > /dev/null 2>&1
	rm -rf /var/cache/ovs-multipath > /dev/null 2>&1
	rm -rf /var/log/rescan_for_disks > /dev/null 2>&1
	rm -rf /var/log/disconnect_device > /dev/null 2>&1
	rm -rf /var/log/flush_inflight_io > /dev/null 2>&1
fi

%files
%defattr(-, root, root)
%doc COPYING
%{_bindir}/configure_node
%{_bindir}/disconnect_device
%{_bindir}/flush_inflight_io
%{_bindir}/rescan_for_disks
%{_bindir}/storage_discover
%{_bindir}/storage_helper
%{_bindir}/storage_info
%{_bindir}/storage_stats
%{_bindir}/provision_network
%{_bindir}/deprovision_network
%{_libdir}/ovs-storage-utils
%dir /var/cache/ovs-disk_info
%dir /var/cache/ovs-multipath
%dir /var/log/rescan_for_disks
%dir /var/log/disconnect_device
%dir /var/log/flush_inflight_io

%changelog
* Sun Feb 12 2012 Kurt Hackel <kurt.hackel@oracle.com> - 1.0.0-27 
- The sysfs entry for scsi_hosts (e.g. /sys/class/scsi_host/host0) changed in UEK2.  It's now a symlink to the pci device instead of a directory of entries.  The old scsi_host/hostX/device -> symlink is now missing which was causing all of the root FS to be walked and eating lots of memory.  This fixes the problem for both UEK1 and UEK2 style kernels and no longer fails in discover_hardware.
  Signed-off-by:cathy.avery@oracle.com 

* Fri Feb 03 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 1.0.0-26 
- fix the empty TargetIP issue on UEK2
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Cathy Avery <cathy.avery@oracle.com> 

* Wed Jan 18 2012 Cathy Avery <cathy.avery@oracle.com> - 1.0.0-25 
- Powerpath changes 

* Tue Nov 29 2011 Cathy Avery <cathy.avery@oracle.com> - 1.0.0-24 
- revert file back to rev 288 to remove SAS SAN change 

* Fri Nov 18 2011 Cathy Avery <cathy.avery@oracle.com> - 1.0.0-23 
- Fixed choking on multipath.conf wildcards [bug 13370542] 

* Wed Nov 02 2011 Cathy Avery <cathy.avery@oracle.com> - 1.0.0-22 
- Fixed SAS as local disk [bug 12939598] 

* Fri Aug 26 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 1.0.0-21 
- add license header [bug 12737215] 

* Sun Jul 10 2011 Srinivas Maturi <srinivas.maturi@oracle.com> - 1.0.0-20
- Cleanup tarball [bug 12737255] 

* Mon Jun 27 2011 Cathy Avery <cathy.avery@oracle.com> - 1.0.0-19 
- Skip over non existant directories
  Oracle_Bug: 12639398 

* Fri Jun 03 2011 Cathy Avery <cathy.avery@oracle.com> - 1.0.0-18 
- Added filter to exempt items with non printable character in the XML tag when
  catting sys fs.
  Oracle_Bug: 12429101 

* Thu May 05 2011 Cathy Avery <cathy.avery@oracle.com> - 1.0.0-17 
- Filter out max_sectors from scsi_host xml 

* Tue Apr 19 2011 Cathy Avery <cathy.avery@oracle.com> - 1.0.0-16 
- Deleted install script changes to /proc/sys/vm/drop_caches [bug 9918730] 

* Tue Feb 15 2011 Cathy Avery <cathy.avery@oracle.com> - 1.0.0-15 
- Fixes multipath blacklist parse where '*' is a valid char for multipath.conf but not for re.compile. 

* Tue Jan 25 2011 Cathy Avery <cathy.avery@oracle.com> - 1.0.0-14 
- Added new ISCSI_Node field to discover to contain the initiator name. 

* Wed Jan 05 2011 Cathy Avery <cathy.avery@oracle.com> - 1.0.0-13 
- This provides fix for the scsi transport iscsi_host initiatorname containing null. It stuffs in the /etc/iscsi/initiatorname into the xml for the manager. [bug 10399445] 

* Tue Nov 30 2010 Cathy Avery <cathy.avery@oracle.com> - 1.0.0-12 
- Changed multipath command parser as the multipath command output has changed 

* Tue Oct 12 2010 Kurt Hackel <kurt.hackel@oracle.com> - 1.0.0-11 
- This patch disables the output of the sysfs vpd data for devices like the bnx2i.  This is binary data which ends up corrupting the xml output for the discover_hardware command.  At present we do not need this data. [bug 10186942] 

* Mon Aug 16 2010 Cathy Avery <cathy.avery@oracle.com> - 1.0.0-10 
- Fixed FC_Target discover. Code was depending on the existance of a LUN 0. 

* Mon Jun 28 2010 Cathy Avery <cathy.avery@oracle.com> - 1.0.0-9 
- Fix new %include keyword parse for multipath.comf
  oracle_bug: 9855314 

* Mon Jun 14 2010 Cathy Avery <cathy.avery@oracle.com> - 1.0.0-8
- Removed ovs-storage sevice so rescan_for_disks will not be called

* Mon May 03 2010 Cathy Avery <cathy.avery@oracle.com> - 1.0.0-7 
- uncommented out rm dir line. 

* Mon May 03 2010 Cathy Avery <cathy.avery@oracle.com> - 1.0.0-6 
- Moved directory init.d to etc 

* Fri Apr 30 2010 Cathy Avery <cathy.avery@oracle.com> - 1.0.0-5 
- Removed unused commands from ovs-storage script. Removed multipath cache file as it unneeded and causing exceptions. 

* Wed Mar 10 2010 Cathy Avery <cathy.avery@oracle.com> - 1.0.0-4 
- Added new vi print function that only queues error to warning queue so that it
  may be displayed in diskscanissues. It does not print the error to stdout which was causing the agent to fail the call. 

* Fri Feb 19 2010 Cathy Avery <cathy.avery@oracle.com> - 1.0.0-3 
- Added multipath device dm-X to xml output of xmlrpc call to discover_physical_luns. 

* Mon Feb 08 2010 Cathy Avery <cathy.avery@oracle.com> - 1.0.0-2 
- Modified discovery code per new spec.
- Added target ip to iscsi target session xml as per request of manager team.  


